<?php
/* *************************************
Titre: Module Simple
Auteur: NNS Production
Version: 1.2
----------- Changelog ------------------
14/08/2011 - Modification d'une variable défectueuse.
05/06/2013 - Changement de la structure pour plus de lisibilité
************************************* */

if (@$_['Send']==1)
{
	if (empty($_['titre']) || $_['titre']=="") echo "<div class='update_valide'><span class='erreur'>Merci d'indiquer un nom de page.</span></div>";

	else
	{
		switch($_['action'])
		{
			
			case 'ajouter':
				$xml_file = cleanName(LAST_KEY.'#'.str_replace("\'", " ", $_['titre']).'.xml');				
				copy('../modules/'.$_['type'].'/base.xml', '../data/pages/'.$xml_file);
				ecriture_xml('../data/pages/'.$xml_file, 'nom', $_['titre']);
				$input = preg_replace("<<br>>", "<br />", $_['input']);
				$input = str_replace("&nbsp;", "", $_['input']);
				ecriture_xml('../data/pages/'.$xml_file, 'contenu', $input, TRUE);
				ecriture_xml('../data/pages/'.$xml_file, 'id', LAST_KEY);
				ecriture_xml('../data/pages/'.$xml_file, 'ordre', LAST_ORDER);						
				(@$_['affichage']=="on")?ecriture_xml('../data/pages/'.$xml_file, 'etat', 1):ecriture_xml('../data/pages/'.$xml_file, 'etat', 0);
			break;
			

			case 'modifier':
				$xml_file = cleanName($_['id'].'#'.str_replace("\'", " ", $_['titre']).'.xml');				
				rename('../data/pages/'.$lecture_pages[$_['id']].'.xml', '../data/pages/'.$xml_file);
				ecriture_xml('../data/pages/'.$xml_file, 'nom', $_['titre']);
				$input = preg_replace("<<br>>", "<br />", $_['input']);
				$input = str_replace("&nbsp;", "", $_['input']);
				ecriture_xml('../data/pages/'.$xml_file, 'contenu', $input, TRUE);
			break;
		}
	}

	echo "<div class='update_valide'><span class='valide'>Page sauvegardée</span></div>";
}
if($_['action']=='modifier') { ?><h3>Edition de la page <i><?php echo $page['page']['nom']['#text']; ?></i></h3><?php } ?>
<form action="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=<?php echo $_['action']; if($_['action']=="modifier"){echo "&amp;id=".$lecture_pages[$_['id']];}?>" method="POST">
	<h4>Nom de la page</h4>
	<input type="text" name="titre" class="input_text" value="<?php if(isset($_['titre'])){ echo stripslashes($_['titre']); } else { echo @$page['page']['nom']['#text']; } ?>" />
			
	<h4>Contenu de la page</h4>
	<div class="owEditor">
		<textarea id="input" name="input" >
			<?php if(isset($_['input'])){ echo stripslashes($_['input']); } else { echo @$page['page']['contenu']['#text']; } ?>
		</textarea>
	</div>
		
	<input type="submit" value="Sauvegarder" class="input_button" />
	<a href="index.php?pid=<?php echo $_['pid']; ?>">
		<input type="button" value="Annuler" class="input_button" />
	</a>
	
	<input type="hidden" name="type" value="<?php echo @$_['type']; ?>" />
	<input type="hidden" name="Send" value="1" />
	<input type="hidden" name="sid" value="1" />
		
	<?php include('../lib/wysiwyg.lib.php'); ?>
</form>